Bug 111689 - kernel 2.4.21-4.0.1.EL has no apm support (tested on dell d600 laptop)
kernel 2.4.21-4.0.1.EL has no apm support (tested on dell d600 laptop)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: 111691 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-12-08 15:24 EST by Helmut G. Katzgraber
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-15 20:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output after boot (9.17 KB, text/plain)
2003-12-09 04:26 EST, Helmut G. Katzgraber
no flags Details

  None (edit)
Description Helmut G. Katzgraber 2003-12-08 15:24:50 EST
Description of problem:

when running apm -s with the 2.4.21-4.0.1.EL kernel, apm returns

[root@localhost]# /usr/bin/apm -s
No APM support in kernel

more details:

[root@localhost]# uname -a
Linux localhost.localdomain 2.4.21-4.0.1.EL #1 Thu Oct 23 01:36:33 EDT 2003
i686 i686 i386 GNU/Linux

there exists no file called "/proc/apm".

Version-Release number of selected component (if applicable):

kernel: kernel-2.4.21-4.0.1.EL
apm: apmd-3.0.2-18

How reproducible:

Tested on one system. Not sure if reproducible but seems to be simple: apm is not 
compiled into the upgraded kernel.

Steps to Reproduce:
1. Install RHEL WS 3.0 on a laptop. run up2date-nox and upgrade the kernel to
2. try to put the laptop to sleep with apm: /usr/bin/apm -s (nothing happens, 
program mentions that there is no support for APM in the kernel.
Actual results:

program exits with above mentioned error message: "No APM support in kernel"

Expected results:

laptop goes into suspend mode.

Additional info: output from dmesg after a boot attached later.
Comment 1 Bill Nottingham 2003-12-08 15:55:00 EST
*** Bug 111691 has been marked as a duplicate of this bug. ***
Comment 2 Helmut G. Katzgraber 2003-12-09 04:26:13 EST
Created attachment 96417 [details]
dmesg output after boot
Comment 3 Arjan van de Ven 2003-12-09 04:29:30 EST
"apm: BIOS not found."

sounds more like your laptop doesn't have APM support....
Comment 4 Helmut G. Katzgraber 2003-12-10 05:25:04 EST
checked online today and did a little search... while there are no
concrete links, it seems that APM does not work on this laptop (how
can anyone make a laptop without APM support?!?) and ACPI only if the
bios is patched...

Note You need to log in before you can comment on or make changes to this bug.